/*------------------------------------------------------*/
/*- motor1-sensor1.asm  (c) Juan Gonzalez. Febrero 2005 */
/*------------------------------------------------------*/
/* Ejemplo de pruebas para el motor 1 y el sensor 1     */
/* Si por el sensor se lee "blanco" el motor se mueve   */
/* Si lee "negro" se para                               */
/* Este programa resulta muy util para comprobar si     */
/* el sensor funciona correctamente                     */
/* El sentido de giro del motor depende de como se      */
/* haya conectado                                       */
/*------------------------------------------------------*/
/* El motor 1 se controla con los bits PTC1 y PTC2,     */
/*                                                      */
/* La "tabla de verdad" es como la siguiente:           */
/*   PTC2 PTC1 motor1                                   */
/*   ---------------------                              */
/*     0    0   Parado                                  */
/*     0    1   Un sentido                              */
/*     1    0   Otro sentido                            */
/*     1    1   NO USAR                                 */
/*                                                      */
/*------------------------------------------------------*/
/* Licencia GPL                                         */
/*------------------------------------------------------*/

#include "mc68hc908gp32.h"

void main(void)
{
	/*----------------------------*/
	/* Configurar el sistema      */
	/*----------------------------*/
	CONFIG1|=0x01;  //-- Deshabilitar el COP
	
	//-- Configurar pines PTC1 y PTC2 para salida. Resto entradas
	DDRC=0x06;  
  
  /*---------------------------------*/
	/*- Configuracion de los sensores  */
	/*---------------------------------*/
  //-- Configurar pull-up del sensor 1
	PTCPUE=0x20;

	//-- Bucle infinito
  for (;;) {
    
    //-- Si el sensor lee blanco... 
    if ((PORTC&0x20)==0) {
      
      //-- Activar el motor
      PORTC=0x02;
    }
    else //-- en caso contrario, apagarlo
      PORTC=0x00;      
  }
	
}
